Redmine - Patch #30119

Update Rails to 5.2.2
2018-12-07 09:05 - Marius BALTEANU

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Rails support Estimated time: 0.00 hour
Target version:

Description
https://weblog.rubyonrails.org/2018/12/4/Rails-5-2-2-has-been-released/

diff --git a/Gemfile b/Gemfile

index c1363a9..09943ea 100644

-—— a/Gemfile

+++ b/Gemfile

@@ -4,7 +4,7 Q@ if Gem::Version.new (Bundler::VERSION) < Gem::Version.new('1.5.0")

abort "Redmine requires Bundler 1.5.0 or higher (you're using #{Bundler::VERSION}).\nPlease upd

ate with 'gem update bundler'."

end

-gem "rails", "5.2.1.1"

+gem "rails", "5.2.2"

gem "rouge", "~> 3.3.0"

gem "request_store", "1.0.5"
gem "mini_mime", "~> 1.0.1"

Related issues:
Related to Redmine - Patch #28933: Migrate to Rails 5.2 Closed
Copied from Redmine - Feature #30042: Update Rails to 5.2.1.1 Closed

Associated revisions

Revision 17695 - 2018-12-07 10:40 - Go MAEDA
Update Rails to 5.2.2 (#30119).

Patch by Marius BALTEANU.

Revision 17697 - 2018-12-08 07:40 - Jean-Philippe Lang
Tests broken for SQLite3 (#30119).

History

#1 - 2018-12-07 09:05 - Marius BALTEANU
- Copied from Feature #30042: Update Rails to 5.2.1.1 added

#2 - 2018-12-07 10:03 - Marius BALTEANU
- Assignee deleted (Marius BALTEANU)

All tests pass: https://gitlab.com/marius-balteanu/redmine/-/jobs/131249362

#3 - 2018-12-07 10:24 - Go MAEDA
- Related to Patch #28933: Migrate to Rails 5.2 added

#4 - 2018-12-07 10:40 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version deleted (Candidate for next major release)
https://gitlab.com/marius-balteanu/redmine/-/jobs/131249362

Committed. Thanks.

#5 - 2018-12-08 07:41 - Jean-Philippe Lang
Marius BALTEANU wrote:

All tests pass: https://gitlab.com/marius-balteanu/redmine/-/jobs/131249362

r17697 fixes tests for SQLite3
